%global gh_owner     mongodb
%global gh_project   libmongocrypt
%global libname      %{gh_project}
%global libver       1.0
%global soname       0

Name:      %{libname}
Summary:   The companion C library for client side encryption in drivers
Version:   1.8.4
Release:    1%{?dist}

License:   Apache-2.0 AND ISC AND BSD-3-Clause
URL:       https://github.com/%{gh_owner}/%{gh_project}

Source0:   https://github.com/%{gh_owner}/%{gh_project}/archive/%{version}.tar.gz

Patch0:    %{libname}-static.patch

BuildRequires: cmake >= 3.12
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: openssl-devel
BuildRequires: cmake(bson-1.0) >= 1.11
BuildRequires: doxygen
BuildRequires: make
BuildRequires: git
Provides:      bundled(IntelRDFPMathLib) = 2.2


%description
%{summary}.


%package devel
Summary:    Header files and development libraries for %{name}
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig
Requires:   cmake-filesystem

%description devel
This package contains the header files and development libraries
for %{name}.


%prep
%autosetup -n %{gh_project}-%{version}%{?prever:-dev} -p1

tar xf third-party/IntelRDFPMathLib*.tar.xz --strip-components=1 */eula.txt
mv eula.txt                        LICENSE.intelrdfpmathlib
cp kms-message/THIRD_PARTY_NOTICES LICENSE.kms_b64
cp kms-message/COPYING             LICENSE.kms-message


%build
%cmake \
    -DBUILD_VERSION=%{version} \
    -DENABLE_PIC:BOOL=ON \
    -DUSE_SHARED_LIBBSON:BOOL=ON \
    -DMONGOCRYPT_MONGOC_DIR:STRING=USE-SYSTEM \
    -DENABLE_ONLINE_TESTS:BOOL=OFF \
    -DENABLE_STATIC:BOOL=OFF

%cmake_build

doxygen ./doc/Doxygen


%install
%cmake_install


%check
%ctest

if grep -r static %{buildroot}%{_libdir}/cmake; then
  : cmake configuration file contain reference to static library
  exit 1
fi


%files
%license LICENSE*
%{_libdir}/libkms_message.so.%{soname}*
%{_libdir}/libmongocrypt.so.%{soname}*


%files devel
%doc *.md
%doc doc/html
%{_includedir}/kms_message
%{_includedir}/mongocrypt
%{_libdir}/libkms_message.so
%{_libdir}/libmongocrypt.so
%{_libdir}/cmake/kms_message
%{_libdir}/cmake/mongocrypt
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.4-1
- initial build
